/***
* Výňatek z knihy "HTML5 a CSS3", vydal Computer Press.
* Autorská práva ke kódu. Nesmí se použít jako materiály k výuce, 
* v kurzech, knihách, článcích a podobně. V případě dotazů nás kontaktujte.
* Ručíme, že kódy ke knize odpovídají svému účelu. 
* Více informací o knize najdete na http://knihy.cpress.cz/k1948.
***/

$(function() {
  var kontakty = $('#obrazky img');
  kontakty.attr('draggable', 'true');
  
  kontakty.bind('dragstart', function(udalost) {
      var data = udalost.originalEvent.dataTransfer; 
      var zdroj = $(this).attr("data-velky");
      data.setData("Text", zdroj); 
      return true;
  });
  

  
  var cil = $('#nahled');

  cil.bind('drop', function(udalost) {
    var data = udalost.originalEvent.dataTransfer;
    var zdroj = (data.getData('Text')); 
    
    var obr = $("<img></img>").attr("src", zdroj);
    $(this).html(obr);
    if (udalost.preventDefault) udalost.preventDefault();
    return(false);
  });

 
  cil.bind('dragover', function(udalost) {    
    if (udalost.preventDefault) udalost.preventDefault();
    return false;
  });

   vil.bind('dragenter', function(udalost) {
     $(this).addClass('hover');
     if (udalost.preventDefault) udalost.preventDefault();
     return false;
   });

   cil.bind('dragleave', function(udalost) {
     $(this).removeClass('hover');
     if (udalost.preventDefault) udalost.preventDefault();
     return false;  
  });


   kontakty.bind('dragend', function(udalost) {
     if (udalost.preventDefault) udalost.preventDefault();
     return false;
   });

});